#include <args.hpp>
#include <config.hpp>

const char* argp_program_version =
	PROJECT_NAME " " VERSION_CODE "\n\n"
	"License: GPLv3 <https://www.gnu.org/licenses/gpl-3.0.html>\n"
	"If you did not receive a copy of the source code, it is\n"
	"available at <git://git.epicalert.xyz/facecam2d.git> or the\n"
	"GitLab mirror at <https://gitlab.com/epicalert/facecam2d.git>.";

#ifndef _WIN32
const struct argp_option options[] = {
	//name, key, arg, flags, doc, group
	{"haar-cascade",	0x00,	0,		0,	"Use Haar Cascades for faster (but less accurate) face detection.",	0},
	{"model",		'm',	"model",	0,	"Name of the model file to use. (not including '.fma')",	0},
	{0}
};

struct argp argp = {
	options,
	parseOptions,
	0,
	0
};
#endif

struct optData optData = {
	false,
	"test",
};

#ifndef _WIN32
error_t parseOptions(int key, char* arg, struct argp_state* state) {
	switch (key) {
		case 0x00:	//--haar-cascade
			optData.useHaar = true;
			break;

		case 'm':
			optData.model = std::string(arg);
			break;

		default:
			return ARGP_ERR_UNKNOWN;
	}

	return 0;
}
#endif
